Name: xjdic
Summary: An electronic Japanese-English dictionary
Version: 2.2
Release: 2
Copyright: (C) 1992-1996 Jim Breen
Group: Extensions/Japanese
Source: ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic22.tar.gz
Patch: xjdic-2.2-2.patch
Packager: Alexander L. Belikoff (abel@bfr.co.il)

BuildRoot: /tmp/xjdic


%description 
XJDIC is an  electronic  Japanese-English  dictionary  program  designed  to 
operate  in  the  X11 window environment.  In particular,  it must run in an 
"xterm" environment which has Japanese language support such as provided  by 
"kterm" or internationalized xterm, aixterm, etc. 

XJDIC functions as: 

(a) an English to  Japanese  dictionary  (eiwa  jiten),  searching  for  and 
displaying entries for key-words entered in English; 

(b)  a  Japanese  to  English  dictionary  (waei  jiten),  searching for and 
displaying entries for keywords  or  phrases  entered  in  Japanese  (kanji, 
hiragana or katakana); 

(c)  a  Japanese-English  Character  dictionary  (kanei  jiten),  capable of 
selecting kanji characters by JIS code, radical, stroke count,  Nelson Index 
number or reading, and displaying compounds containing that kanji. 

The source code and documentation of XJDIC are  hereby  released  under  the 
terms of the GNU General Public License (GPL).  All usage of this program is 
at the user's risk, and there is no warranty on its performance.  Copies may 
be distributed by any means which conforms to the terms of the GPL. 

The  EDICT and KANJIDIC files are also freely available,  but are covered by 
their own copyright and licence statements, and are not under the GPL. 


%prep
%setup -c -n xjdic-2.2


%patch -p1


%build
make ROOT=$RPM_BUILD_ROOT
strip exjdxgen xjdic22cl xjdic22sa xjdserver22 xjdxgen


%install
make  ROOT=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
/usr/bin/exjdxgen
/usr/bin/xjdic22cl
/usr/bin/xjdic22sa
/usr/bin/xjdserver22
/usr/bin/xjdxgen
/usr/lib/jdic/kanjstroke
/usr/lib/jdic/radicals.tm
/usr/lib/jdic/radkfile
/usr/lib/jdic/romkana.cnv
/usr/lib/jdic/vconj


%doc gnu_licence xjdic22.WHATSNEW xjdic22.doc xjdic22.install
